function eps_p_n1 = CPP2(eps_p_n,sigma_n1_trial,n,gamma_n1,C,delta_t)

% 

% Recovery of the material parameters
    my = C(11)  ;
    K = C(3)    ;
    H = C(4)    ;

eps_n = ToMatrix(eps_p_n(1:6));
chi_n = eps_p_n(7);
chi_bar_n = ToMatrix(eps_p_n(8:13));

eps_n1 = ToVoigt(eps_n + gamma_n1*delta_t*n);
chi_n1 = chi_n + gamma_n1*delta_t*sqrt(2/3);
chi_bar_n1 = ToVoigt(chi_bar_n - gamma_n1*delta_t*n);

eps_p_n1 = [eps_n1,chi_n1,chi_bar_n1];